## filesrc

filesrc

## Properties

gchar * | location | Read / Write

## Types and Values

struct | GstFileSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstFileSrc

## Implemented Interfaces

GstFileSrc implements GstURIHandler.

## Description

Read data from a file in the local file system.

#### Example launch line

    1

    gst-launch-1.0 filesrc location=song.ogg ! decodebin ! audioconvert ! audioresample ! autoaudiosink

Play song.ogg audio file which must be in the current working directory.

## Synopsis

### Element Information

plugin | coreelements
author | Erik Walthinsen <omega@cse.ogi.edu>
class | Source/File

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstFileSrc

    struct GstFileSrc;

Opaque GstFileSrc structure.

## Property Details

### The `“location”` property

      “location”                 gchar *

Location of the file to read.

Flags: Read / Write

Default value: NULL

## See Also

GstFileSrc